haskell-language-server-2.7.0.0: LSP server for GHC

Safe Haskell | None
Language | GHC2021

Ide.Plugin.Splice.Types

Synopsis

- data ExpandSpliceParams = ExpandSpliceParams {
  - verTxtDocId :: VersionedTextDocumentIdentifier
  - spliceSpan :: RealSrcSpan
  - spliceContext :: SpliceContext
  }
- data SpliceContext
  - = Expr
  - | HsDecl
  - | Pat
  - | HsType
- data ExpandStyle
  - = Inplace
  - | Commented
- expandStyles :: [(ExpandStyle, (Text, CommandId))]
- toExpandCmdTitle :: ExpandStyle -> Text
- toCommandId :: ExpandStyle -> CommandId
- expandInplaceId :: CommandId
- expandCommentedId :: CommandId
- inplaceCmdName :: Text
- commentedCmdName :: Text

# Documentation

data ExpandSpliceParams #

Parameter for the addMethods PluginCommand.

Constructors

ExpandSpliceParams |

Fields

- verTxtDocId :: VersionedTextDocumentIdentifier
- spliceSpan :: RealSrcSpan
- spliceContext :: SpliceContext

#### Instances

Instances details

FromJSON ExpandSpliceParams # |
Instance details Defined in Ide.Plugin.Splice.Types Methods parseJSON :: Value -> Parser ExpandSpliceParams # parseJSONList :: Value -> Parser [ExpandSpliceParams] # omittedField :: Maybe ExpandSpliceParams #
ToJSON ExpandSpliceParams # |
Instance details Defined in Ide.Plugin.Splice.Types Methods toJSON :: ExpandSpliceParams -> Value # toEncoding :: ExpandSpliceParams -> Encoding # toJSONList :: [ExpandSpliceParams] -> Value # toEncodingList :: [ExpandSpliceParams] -> Encoding # omitField :: ExpandSpliceParams -> Bool #
Generic ExpandSpliceParams # |

Instance details

Defined in Ide.Plugin.Splice.Types

Associated Types

type Rep ExpandSpliceParams |

Instance details

Defined in Ide.Plugin.Splice.Types

type Rep ExpandSpliceParams = D1 ('MetaData "ExpandSpliceParams" "Ide.Plugin.Splice.Types" "haskell-language-server-2.7.0.0-6xsUUcXaIhD24flcQCd1le-hls-splice-plugin" 'False) (C1 ('MetaCons "ExpandSpliceParams" 'PrefixI 'True) (S1 ('MetaSel ('Just "verTxtDocId") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 VersionedTextDocumentIdentifier) :*: (S1 ('MetaSel ('Just "spliceSpan") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 RealSrcSpan) :*: S1 ('MetaSel ('Just "spliceContext") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 SpliceContext))))

Methods

from :: ExpandSpliceParams -> Rep ExpandSpliceParams x #

to :: Rep ExpandSpliceParams x -> ExpandSpliceParams #

Show ExpandSpliceParams # |
Instance details Defined in Ide.Plugin.Splice.Types Methods showsPrec :: Int -> ExpandSpliceParams -> ShowS # show :: ExpandSpliceParams -> String # showList :: [ExpandSpliceParams] -> ShowS #
Eq ExpandSpliceParams # |
Instance details Defined in Ide.Plugin.Splice.Types Methods (==) :: ExpandSpliceParams -> ExpandSpliceParams -> Bool # (/=) :: ExpandSpliceParams -> ExpandSpliceParams -> Bool #
type Rep ExpandSpliceParams # |

Instance details

Defined in Ide.Plugin.Splice.Types

type Rep ExpandSpliceParams = D1 ('MetaData "ExpandSpliceParams" "Ide.Plugin.Splice.Types" "haskell-language-server-2.7.0.0-6xsUUcXaIhD24flcQCd1le-hls-splice-plugin" 'False) (C1 ('MetaCons "ExpandSpliceParams" 'PrefixI 'True) (S1 ('MetaSel ('Just "verTxtDocId") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 VersionedTextDocumentIdentifier) :*: (S1 ('MetaSel ('Just "spliceSpan") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 RealSrcSpan) :*: S1 ('MetaSel ('Just "spliceContext") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 SpliceContext))))

data SpliceContext #

Constructors

Expr |
HsDecl |
Pat |
HsType |

#### Instances

Instances details

FromJSON SpliceContext # |
Instance details Defined in Ide.Plugin.Splice.Types Methods parseJSON :: Value -> Parser SpliceContext # parseJSONList :: Value -> Parser [SpliceContext] # omittedField :: Maybe SpliceContext #
ToJSON SpliceContext # |
Instance details Defined in Ide.Plugin.Splice.Types Methods toJSON :: SpliceContext -> Value # toEncoding :: SpliceContext -> Encoding # toJSONList :: [SpliceContext] -> Value # toEncodingList :: [SpliceContext] -> Encoding # omitField :: SpliceContext -> Bool #
Generic SpliceContext # |

Instance details

Defined in Ide.Plugin.Splice.Types

Associated Types

type Rep SpliceContext |

Instance details

Defined in Ide.Plugin.Splice.Types

type Rep SpliceContext = D1 ('MetaData "SpliceContext" "Ide.Plugin.Splice.Types" "haskell-language-server-2.7.0.0-6xsUUcXaIhD24flcQCd1le-hls-splice-plugin" 'False) ((C1 ('MetaCons "Expr" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "HsDecl" 'PrefixI 'False) (U1 :: Type -> Type)) :+: (C1 ('MetaCons "Pat" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "HsType" 'PrefixI 'False) (U1 :: Type -> Type)))

Methods

from :: SpliceContext -> Rep SpliceContext x #

to :: Rep SpliceContext x -> SpliceContext #

Read SpliceContext # |
Instance details Defined in Ide.Plugin.Splice.Types Methods readsPrec :: Int -> ReadS SpliceContext # readList :: ReadS [SpliceContext] # readPrec :: ReadPrec SpliceContext # readListPrec :: ReadPrec [SpliceContext] #
Show SpliceContext # |
Instance details Defined in Ide.Plugin.Splice.Types Methods showsPrec :: Int -> SpliceContext -> ShowS # show :: SpliceContext -> String # showList :: [SpliceContext] -> ShowS #
Eq SpliceContext # |
Instance details Defined in Ide.Plugin.Splice.Types Methods (==) :: SpliceContext -> SpliceContext -> Bool # (/=) :: SpliceContext -> SpliceContext -> Bool #
Ord SpliceContext # |

Instance details

Defined in Ide.Plugin.Splice.Types

Methods

compare :: SpliceContext -> SpliceContext -> Ordering #

(<) :: SpliceContext -> SpliceContext -> Bool #

(<=) :: SpliceContext -> SpliceContext -> Bool #

(>) :: SpliceContext -> SpliceContext -> Bool #

(>=) :: SpliceContext -> SpliceContext -> Bool #

max :: SpliceContext -> SpliceContext -> SpliceContext #

min :: SpliceContext -> SpliceContext -> SpliceContext #

type Rep SpliceContext # |

Instance details

Defined in Ide.Plugin.Splice.Types

type Rep SpliceContext = D1 ('MetaData "SpliceContext" "Ide.Plugin.Splice.Types" "haskell-language-server-2.7.0.0-6xsUUcXaIhD24flcQCd1le-hls-splice-plugin" 'False) ((C1 ('MetaCons "Expr" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "HsDecl" 'PrefixI 'False) (U1 :: Type -> Type)) :+: (C1 ('MetaCons "Pat" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "HsType" 'PrefixI 'False) (U1 :: Type -> Type)))

data ExpandStyle #

Constructors

Inplace |
Commented |

#### Instances

Instances details

Generic ExpandStyle # |

Instance details

Defined in Ide.Plugin.Splice.Types

Associated Types

type Rep ExpandStyle |
Instance details Defined in Ide.Plugin.Splice.Types type Rep ExpandStyle = D1 ('MetaData "ExpandStyle" "Ide.Plugin.Splice.Types" "haskell-language-server-2.7.0.0-6xsUUcXaIhD24flcQCd1le-hls-splice-plugin" 'False) (C1 ('MetaCons "Inplace" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "Commented" 'PrefixI 'False) (U1 :: Type -> Type))

Methods

from :: ExpandStyle -> Rep ExpandStyle x #

to :: Rep ExpandStyle x -> ExpandStyle #

Read ExpandStyle # |
Instance details Defined in Ide.Plugin.Splice.Types Methods readsPrec :: Int -> ReadS ExpandStyle # readList :: ReadS [ExpandStyle] # readPrec :: ReadPrec ExpandStyle # readListPrec :: ReadPrec [ExpandStyle] #
Show ExpandStyle # |
Instance details Defined in Ide.Plugin.Splice.Types Methods showsPrec :: Int -> ExpandStyle -> ShowS # show :: ExpandStyle -> String # showList :: [ExpandStyle] -> ShowS #
Eq ExpandStyle # |
Instance details Defined in Ide.Plugin.Splice.Types Methods (==) :: ExpandStyle -> ExpandStyle -> Bool # (/=) :: ExpandStyle -> ExpandStyle -> Bool #
Ord ExpandStyle # |
Instance details Defined in Ide.Plugin.Splice.Types Methods compare :: ExpandStyle -> ExpandStyle -> Ordering # (<) :: ExpandStyle -> ExpandStyle -> Bool # (<=) :: ExpandStyle -> ExpandStyle -> Bool # (>) :: ExpandStyle -> ExpandStyle -> Bool # (>=) :: ExpandStyle -> ExpandStyle -> Bool # max :: ExpandStyle -> ExpandStyle -> ExpandStyle # min :: ExpandStyle -> ExpandStyle -> ExpandStyle #
type Rep ExpandStyle # |
Instance details Defined in Ide.Plugin.Splice.Types type Rep ExpandStyle = D1 ('MetaData "ExpandStyle" "Ide.Plugin.Splice.Types" "haskell-language-server-2.7.0.0-6xsUUcXaIhD24flcQCd1le-hls-splice-plugin" 'False) (C1 ('MetaCons "Inplace" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "Commented" 'PrefixI 'False) (U1 :: Type -> Type))

expandStyles :: [(ExpandStyle, (Text, CommandId))] #

toExpandCmdTitle :: ExpandStyle -> Text #

toCommandId :: ExpandStyle -> CommandId #

expandInplaceId :: CommandId #

expandCommentedId :: CommandId #

inplaceCmdName :: Text #

commentedCmdName :: Text #